ScopeHelper (Custom Portal Handler 1.8.0-3.10.0 API)
Date: 2016-02-09

org.gcube.portal.custom.scopemanager.scopehelper

## Class ScopeHelper

- java.lang.Object
- - org.gcube.portal.custom.scopemanager.scopehelper.ScopeHelper

-     public class ScopeHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASSERTION_ID`
    `static String` | `CURR_ORG`
    `static String` | `MAIL`
    `static String` | `ROOT_ORG`
    `static String` | `USER_AVATAR_ID_ATTRIBUTE`
    `static String` | `USER_EMAIL_ATTRIBUTE`
    `static String` | `USER_FULL_NAME_ATTRIBUTE`
    `static String` | `USER_GENDER_ATTRIBUTE`
    `static String` | `USERNAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getAdministratorUsername()` return one of the Administrators Username from LiferayDB
    `static String` | `getRootConfigFromGCore()` return the infrastructure name
    `static String` | `getSupportMainlingListAddr()` read the root VO name from a property file and retuns it
    `static void` | `setContext(javax.portlet.RenderRequest request)`
    `static void` | `setContext(javax.portlet.RenderRequest request, String username_attr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USERNAME_ATTRIBUTE

          public static final String USERNAME_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### USER_FULL_NAME_ATTRIBUTE

          public static final String USER_FULL_NAME_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### USER_EMAIL_ATTRIBUTE

          public static final String USER_EMAIL_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### USER_AVATAR_ID_ATTRIBUTE

          public static final String USER_AVATAR_ID_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### USER_GENDER_ATTRIBUTE

          public static final String USER_GENDER_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ASSERTION_ID

          public static final String ASSERTION_ID

      See Also:
        Constant Field Values

    - #### ROOT_ORG

          public static final String ROOT_ORG

      See Also:
        Constant Field Values

    - #### CURR_ORG

          public static final String CURR_ORG

      See Also:
        Constant Field Values

    - #### MAIL

          public static final String MAIL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScopeHelper

          public ScopeHelper()

  - ### Method Detail

    - #### setContext

          public static void setContext(javax.portlet.RenderRequest request)

    - #### setContext

          public static void setContext(javax.portlet.RenderRequest request,
                        String username_attr)

      Parameters:
        `session` - the session

    - #### getSupportMainlingListAddr

          public static String getSupportMainlingListAddr()

      read the root VO name from a property file and retuns it

    - #### getRootConfigFromGCore

          public static String getRootConfigFromGCore()

      return the infrastructure name

    - #### getAdministratorUsername

          public static String getAdministratorUsername()

      return one of the Administrators Username from LiferayDB

Copyright © 2016. All Rights Reserved.